package com.livelike.flickersearchlibrary.api.model.response

import com.livelike.flickersearchlibrary.api.model.Photo

/**
 * Represents possible states of API response.
 */
internal sealed class ApiResponse {
    data class Success(val body: List<Photo>) : ApiResponse()
    data class Error(val message: String) : ApiResponse()
}
