package com.livelike.flickersearchlibrary.ui.adapter

import androidx.recyclerview.widget.DiffUtil
import com.livelike.flickersearchlibrary.ui.model.PhotoItem

class PhotoItemsDiffCallback : DiffUtil.ItemCallback<PhotoItem>() {

    override fun areItemsTheSame(oldItem: PhotoItem, newItem: PhotoItem) = oldItem == newItem

    override fun areContentsTheSame(oldItem: PhotoItem, newItem: PhotoItem) =
        oldItem.imageUrl == newItem.imageUrl && oldItem.title == newItem.title
}